wreport::options::DomainErrorHook Struct Referenceabstract

Interface for a callback hook system to delegate handling domain errors to the code using wreport. More...

`#include <options.h>`

## Public Member Functions

virtual void | handle_domain_error_int (Var &var, int32_t val)=0
virtual void | handle_domain_error_double (Var &var, double val)=0

## Detailed Description

Interface for a callback hook system to delegate handling domain errors to the code using wreport.

The documentation for this struct was generated from the following file:

- options.h